Bug 589726 - Xforms apps often render text at the wrong size, causing layout issues
Xforms apps often render text at the wrong size, causing layout issues
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xforms (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 14:42 EDT by Marcus D. Leech
Modified: 2010-11-13 16:59 EST (History)
2 users (show)

See Also:
Fixed In Version: xforms-1.0.92-3.sp2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-13 16:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus D. Leech 2010-05-06 14:42:21 EDT
Applications that use the Xforms library often render text that is entirely
  the wrong size for the containing object.  This seems to be a font-selection
  issue.

One "fix" is to

yum install "xorg-x11-fonts*"

After installing Xforms.

Perhaps the Xforms toolkit should have the "xorg-x11-fonts"* as a dependency, so
  that they get installed together.
Comment 1 Rex Dieter 2010-05-06 14:51:38 EDT
See also ml thread,
 http://lists.nongnu.org/archive/html/xforms-development/2010-05/msg00000.html

I'd venture installing
xorg-x11-fonts-ISO8859-1-75dpi

will likely yield the best results here.

I'll followup onlist about whether I think this is a good idea to add as a dependency here or not.
Comment 2 Bug Zapper 2010-11-03 11:28:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-11-03 11:57:25 EDT
xforms-1.0.92-3.sp2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xforms-1.0.92-3.sp2.fc13
Comment 4 Fedora Update System 2010-11-03 12:03:33 EDT
xforms-1.0.92-3.sp2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/xforms-1.0.92-3.sp2.fc12
Comment 5 Fedora Update System 2010-11-03 17:08:22 EDT
xforms-1.0.92-3.sp2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xforms'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xforms-1.0.92-3.sp2.fc12
Comment 6 Fedora Update System 2010-11-13 16:59:07 EST
xforms-1.0.92-3.sp2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-11-13 16:59:19 EST
xforms-1.0.92-3.sp2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.